Name:           fest-util
Version:        1.2.5
Release:        1%{?dist}
Summary:        Utility methods used by FEST modules
License:        ASL 2.0
URL:            https://github.com/alexruiz/fest-util
BuildArch:      noarch
Source0:        %{url}/archive/%{name}-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.mockito:mockito-all)

%description
This project provides a fluent interface for assertions.

FEST assertions are incredibly easy to write: just type "assertThat" followed
the actual value and a dot, and any Java IDE will show you all the assertions
available for the type of the given object to verify. No more confusion about
the order of the "expected" and "actual" values. Our assertions are very
readable as well: they read very close to plain English, making it easier for
non-technical people to read test code.

%javadoc_package

%prep
%autosetup -n %{name}-%{name}-%{version}

find -type f '(' -name '*.jar' -o -name '*.class' ')' -delete

%pom_remove_parent

%pom_xpath_inject pom:project '<groupId>org.easytesting</groupId>'

%build
%mvn_build -- -Dmaven.compiler.source=1.8 -Dmaven.compiler.target=1.8

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt
%doc README.md release-notes.txt

%changelog
* Fri Sep 17 2021 Didik Supriadi <didiksupriadi41@gmail.com> - 1.2.5-1
- Initial package
